{
    "name": "magento/project-community-edition",
    "description": "eCommerce Platform for Growth (Community Edition)",
    "type": "project",
    "license": [
        "OSL-3.0",
        "AFL-3.0"
    ],
    "config": {
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "laminas/laminas-dependency-plugin": true,
            "magento/composer-dependency-version-audit-plugin": true,
            "dealerdirect/phpcodesniffer-composer-installer": true,
            "magento/composer-root-update-plugin": true,
            "magento/inventory-composer-installer": true,
            "magento/magento-composer-installer": true
        }
    },
    "require": {
        "amasty/module-single-step-checkout": "4.1.3",
        "amasty/payrestriction": "^2.3",
        "amasty/promo": "^2.9",
        "amasty/stockstatus": "2.3.6",
        "facebook/facebook-for-magento2": "^1.4",
        "laminas/laminas-crypt": "^3.9",
        "magebees/module-ajaxaddtocart": "^1.0",
        "magento/composer-dependency-version-audit-plugin": "~0.1",
        "magento/composer-root-update-plugin": "~2.0",
        "magento/product-community-edition": "2.4.5-p3",
        "magestyapps/magento2-fix-discount-rules": "^1.1",
        "markshust/magento2-module-disabletwofactorauth": "^2.0",
        "prince/module-faq": "^2.0",
        "quickshiftin/assetorderer": "^1.1",
        "repertus/packstation": ">=1.0",
        "sendinblue/module-sendinblue": "^2.1",
        "sparsh/magento-2-facebook-pixel-extension": "^1.3",
        "splendidinternet/mage2-locale-de-de": "^1.56",
        "trustedshops/trustedshops": "^1.0",
        "weltpixel/module-google-tag-manager": "^1.11",
        "xtento/productexport": "^2.14"
    },
    "require-dev": {
        "allure-framework/allure-phpunit": "~1.5.0",
        "dealerdirect/phpcodesniffer-composer-installer": "^0.7.2",
        "friendsofphp/php-cs-fixer": "~3.4.0",
        "lusitanian/oauth": "~0.8.10",
        "magento/magento-coding-standard": "~4.0.0",
        "magento/magento2-functional-testing-framework": "^3.7",
        "pdepend/pdepend": "~2.10.0",
        "phpmd/phpmd": "^2.12.0",
        "phpstan/phpstan": "^1.6.8",
        "phpunit/phpunit": "~9.5.20",
        "sebastian/phpcpd": "^6.0.3",
        "squizlabs/php_codesniffer": "~3.6.0",
        "symfony/finder": "^5.2"
    },
    "conflict": {
        "gene/bluefoot": "*"
    },
    "autoload": {
        "psr-4": {
            "Magento\\Framework\\": "lib/internal/Magento/Framework/",
            "Magento\\Setup\\": "setup/src/Magento/Setup/",
            "Magento\\": "app/code/Magento/"
        },
        "psr-0": {
            "": [
                "app/code/",
                "generated/code/"
            ]
        },
        "files": [
            "app/etc/NonComposerComponentRegistration.php"
        ],
        "exclude-from-classmap": [
            "**/dev/**",
            "**/update/**",
            "**/Test/**"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Magento\\Sniffs\\": "dev/tests/static/framework/Magento/Sniffs/",
            "Magento\\Tools\\": "dev/tools/Magento/Tools/",
            "Magento\\Tools\\Sanity\\": "dev/build/publication/sanity/Magento/Tools/Sanity/",
            "Magento\\TestFramework\\Inspection\\": "dev/tests/static/framework/Magento/TestFramework/Inspection/",
            "Magento\\TestFramework\\Utility\\": "dev/tests/static/framework/Magento/TestFramework/Utility/"
        }
    },
    "version": "2.4.5-p3",
    "minimum-stability": "stable",
    "repositories": {
        "xtento": {
            "type": "composer",
            "url": "https://repo.xtento.com"
        },
        "0": {
            "type": "composer",
            "url": "https://repo.magento.com/",
            "canonical": false
        },
        "magento": {
            "type": "composer",
            "url": "https://repo.magento.com",
            "canonical": false
        },
        "data-migration-tool": {
            "type": "composer",
            "url": "https://repo.magento.com",
            "canonical": false
        },
        "amasty": {
            "type": "composer",
            "url": "https://composer.amasty.com/community/"
        }
    },
    "extra": {
        "magento-force": "override"
    }
}
